%global selinuxtype targeted
%global moduletype contrib
%global modulename glusterd


Name:		glusterfs-selinux
Version:	1.0
Release:	4%{?dist}
Summary:	Glusterfs targeted SELinux policy

License:	GPLv2
URL:		https://github.com/gluster/glusterfs-selinux
Source0:	%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  git
Requires:       selinux-policy-targeted
Requires(post): selinux-policy-targeted
BuildRequires:  pkgconfig(systemd)
BuildRequires:  selinux-policy-devel
Requires(post): selinux-policy-targeted
Requires(post): libselinux-utils
Requires(post): policycoreutils
%{?selinux_requires}

# Patches:
Patch001: 0001-Update-glusterd.te.patch
Patch002: 0002-Update-glusterd.if.patch
Patch003: 0003-Update-glusterd.if.patch
Patch004: 0004-Allow-rsync-sys_admin-capability.patch
Patch005: 0005-Modifying-the-path-provided-for-glustereventsd.py-16.patch
Patch006: 0006-Adds-rule-to-allow-glusterd-to-access-RDMA-socket.patch

%description
SELinux targeted policy modules for glusterfs


%prep
%setup -q -n %{name}-%{version}

%patch001 -p1
%patch002 -p1
%patch003 -p1
%patch004 -p1
%patch005 -p1
%patch006 -p1


%build
make %{?_smp_mflags}


%install
%make_install


%pre
%selinux_relabel_pre -s %{selinuxtype}


%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.bz2


%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename}
fi


%posttrans
%selinux_relabel_post -s %{selinuxtype}


%files
%{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.*
%{_datadir}/selinux/devel/include/%{moduletype}/ipp-%{modulename}.if
%ghost %attr(700, root, root) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}



%changelog
* Wed Apr 7 2021 Tamar Shacked <tshacked@redhat.com> - 1.0-4
- Fixing - bz#1946638

* Thu Mar 25 2021 Tamar Shacked <tshacked@redhat.com> - 1.0-3  
- Fixing - bz#1814744 bz#1937300

* Fri Oct 23 2020 Rinku Kothiya <rkothiya@redhat.com> - 1.0-2
- Fixing selinux permission issues while doing rsync - bz#1880256

* Mon Jul 13 2020 Rinku Kothiya <rkothiya@redhat.com> - 1.0-1
- Updated version in spec and makefile

* Thu May 07 2020 Vit Mojzis <vmojzis@redhat.com> - 0.1.0-2
- Update based on DSP guidelines
  https://fedoraproject.org/wiki/SELinux/IndependentPolicy

* Thu Nov 15 2018 Milind Changire <mchangir@redhat.com> - 0.1.0-2
- corrections toward review request comments from misc - bz#1649713

* Mon Jul 02 2018 Milind Changire <mchangir@redhat.com> - 0.1.0-1
- first build

